summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKurt Kanzenbach <kurt@kmk-computers.de>2020-07-18 18:16:59 +0200
committerAlice Ferrazzi <alicef@gentoo.org>2020-08-15 23:26:06 +0900
commit3d95a121a25ba421c826716520fc975249d548e1 (patch)
tree0f27dc95d4c4688c4c5f43d25783cdfe52c9de18
parentsys-kernel/rt-sources: Add rt sources v4.14.192-rt91 (diff)
downloadgentoo-3d95a121.tar.gz
gentoo-3d95a121.tar.bz2
gentoo-3d95a121.zip
sys-kernel/rt-sources: Add rt sources v4.9.232-rt150
Package-Manager: Portage-2.3.99, Repoman-2.3.23 Signed-off-by: Kurt Kanzenbach <kurt@kmk-computers.de> Signed-off-by: Alice Ferrazzi <alicef@gentoo.org>
-rw-r--r--sys-kernel/rt-sources/Manifest2
-rw-r--r--sys-kernel/rt-sources/rt-sources-4.9.232_p150.ebuild54
2 files changed, 56 insertions, 0 deletions
diff --git a/sys-kernel/rt-sources/Manifest b/sys-kernel/rt-sources/Manifest
index a86d4b459bb..6461af48bce 100644
--- a/sys-kernel/rt-sources/Manifest
+++ b/sys-kernel/rt-sources/Manifest
@@ -36,6 +36,8 @@ DIST patch-4.9.224-rt144.patch.xz 175820 BLAKE2B 66e601ebfa393644671c181c8131bdb
DIST patch-4.9.224.xz 3465868 BLAKE2B a13ab60afeba8ec9a4f797d67e505cf453b7590f617b695b416896e8eca85d083b2e718941fda882246acf7489c2f0f4f765139baedc7efd8382a5b311d52798 SHA512 df45c6c77e0d688cc5d101f98e8dc0a52383dc482d9f5d8a8970b6c7de355216cfdb62a796071ec47cef6559f1f00f839ea627c3dca36058254f3a5b335104e7
DIST patch-4.9.227-rt146.patch.xz 175816 BLAKE2B cd66e317e38d7f789863c21d080fed56bfd20a493900b0010e2b4b6db80f72348ca6ea999769da6dcae2d0feb3d81ef03c20f724584795692cad4a27700449fd SHA512 2a8431dde8eabd7f2be691abc6587e7f7e2dd37d0a98edfee5fc0efb2c33ec7979f282e341fb911ff4efe7bb3a98a831a1d37562e4b699043386639083686cf4
DIST patch-4.9.227.xz 3492828 BLAKE2B e0fa15b45539458a503aa27d6a24d372d975712561691c3f42f30e525565ba479cc09c2cb52247f3f075e807197e3bdc1422245eaf699a793eeb5050c1b59d03 SHA512 f98c178cd6b8e17c1fc4725934978482bd528dd2ae867696d0e48aa7191a3b53a6d9da7c24b32aa130e84bfab5d600140c503186e9bdab77621ae48fb53490d2
+DIST patch-4.9.232-rt150.patch.xz 175296 BLAKE2B c4b0e268e6dda8d93271a895dbf7f85e30fe3940b5cf8074b6c12540d7174462a451a8e0309252df013cfe1b4f221d50825b4c669318028f6bc19b4c401cbef8 SHA512 7e71b6ed69f1f8bdb21a07ca7a62e731264965b34d68f35ac8cca62a4ba8e8f26e18929dff5ab0a50f2732dfb047e87789774376c7fec890f4e368ea61d0f241
+DIST patch-4.9.232.xz 3578076 BLAKE2B a1573d0953607b53fa4cab7246ec38da7d9dd4d45aab7bf8b46b54fc460f57b5de2a423d3fb8784ed1b9d6c753a6d6e7842739d010ac82e009b954f0098fe187 SHA512 4058a3f6dcdd11a89fda652f311a5bdc9d64484a735d334fcb604ef8b71fa9fda373433d14bfc6680065c0143c55d571f20d8bcab078742b5eb3eedb81e27810
DIST patch-5.4.40-rt24.patch.xz 182360 BLAKE2B a122674247ad8ea4ebacb97dc870bfce04f637ce9b96d656f45508d6b3397b6dbdd2dc7116ba7cd57cae08c824b7d2576e502bb8b66fa2f42facef62cd46f11e SHA512 852e6df5862b09c3c4f3e34e6bac01577c813dc646fdbbddbf2712af74b102c42e7455411b2a63927eb98bda5bf5ad2c478f2240a329b25b326d397c54d3ccd0
DIST patch-5.4.40.xz 1309032 BLAKE2B cb06b3177762c5401801e71cd089f6f40f2582dff9b00618f3647152d70813bff0c5a7c6cd9bfdccd5ca5ecc7be3f57aafbd7d5bfc7e0fdde27dade1e189bb36 SHA512 20c19808a7e2af62ea93a4ae187db5e80078da8c4b268424c8d6f945a98eeb0ce7b1f09086813fbd9a9220ff5f062c1fcb8292abedfdc7f9d23a2d804898cd16
DIST patch-5.4.44-rt27.patch.xz 182448 BLAKE2B 8fa6baba31b76bda72d8f00e6cbff24a1258eb8c6d4681343745b2ae67e367c02cb629e3070f7896a32d6ae702888b0109e08c92389fe47582d722a07004ee92 SHA512 f03cddd9d3db5a3ef506c46251bf4eea4a074909bbe8fd6da7125724ddccada4731ed2d25535598e22f296eeef21cdb77a9e135887bd025ec9b20085dedbb557
diff --git a/sys-kernel/rt-sources/rt-sources-4.9.232_p150.ebuild b/sys-kernel/rt-sources/rt-sources-4.9.232_p150.ebuild
new file mode 100644
index 00000000000..8cec2aef7c8
--- /dev/null
+++ b/sys-kernel/rt-sources/rt-sources-4.9.232_p150.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+ETYPE="sources"
+KEYWORDS="~amd64 ~arm64"
+
+HOMEPAGE="https://www.kernel.org/pub/linux/kernel/projects/rt/"
+
+inherit eapi7-ver
+
+CKV="$(ver_cut 1-3)"
+K_SECURITY_UNSUPPORTED="1"
+K_DEBLOB_AVAILABLE="1"
+RT_PATCHSET="${PV/*_p}"
+
+inherit kernel-2
+detect_version
+
+K_BRANCH_ID="${KV_MAJOR}.${KV_MINOR}"
+RT_FILE="patch-${K_BRANCH_ID}.${KV_PATCH}-rt${RT_PATCHSET}.patch.xz"
+RT_URI="https://www.kernel.org/pub/linux/kernel/projects/rt/${K_BRANCH_ID}/${RT_FILE} \
+ https://www.kernel.org/pub/linux/kernel/projects/rt/${K_BRANCH_ID}/older/${RT_FILE}"
+
+DESCRIPTION="Full Linux ${K_BRANCH_ID} kernel sources with the CONFIG_PREEMPT_RT patch"
+SRC_URI="${KERNEL_URI} ${RT_URI}"
+
+KV_FULL="${PVR/_p/-rt}"
+S="${WORKDIR}/linux-${KV_FULL}"
+
+UNIPATCH_LIST="${DISTDIR}/${RT_FILE}"
+UNIPATCH_STRICTORDER="yes"
+
+src_prepare() {
+ default
+
+ # 627796
+ sed \
+ "s/default PREEMPT_NONE/default PREEMPT_RT_FULL/g" \
+ -i "${S}/kernel/Kconfig.preempt" || die "sed failed"
+}
+
+pkg_postinst() {
+ kernel-2_pkg_postinst
+ ewarn
+ ewarn "${PN} are *not* supported by the Gentoo Kernel Project in any way."
+ ewarn "If you need support, please contact the RT project developers directly."
+ ewarn "Do *not* open bugs in Gentoo's bugzilla unless you have issues with"
+ ewarn "the ebuilds."
+ ewarn
+}
+
+K_EXTRAEINFO="For more info on rt-sources and details on how to report problems, see: \
+${HOMEPAGE}."